CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2019-11479

Jonathan Looney discovered that the Linux kernel default MSS is hard-coded to 48 bytes. This allows a remote peer to fragment TCP resend queues significantly more than if a larger MSS were enforced. A remote attacker could use this to cause a denial of service. This has been fixed in stable kernel releases 4.4.182, 4.9.182, 4.14.127, 4.19.52, 5.1.11, and is fixed in commits 967c05aee439e6e5d7d805e195b3a20ef5c433d6 and 5f3e2bf008c2221478101ee72f5cb4654b9fc363.
Publish Date : 2019-06-19 Last Update Date : 2020-10-20
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID 770

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2019:1479: kernel security and bug fix update (Important) oval:com.redhat.rhsa:def:20191479 unix
RHSA-2019:1480: kernel-rt security and bug fix update (Important) oval:com.redhat.rhsa:def:20191480 unix
RHSA-2019:1481: kernel security update (Important) oval:com.redhat.rhsa:def:20191481 unix
RHSA-2019:1486: kernel-rt security update (Important) oval:com.redhat.rhsa:def:20191486 unix
RHSA-2019:1488: kernel security and bug fix update (Important) oval:com.redhat.rhsa:def:20191488 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2019-11479

# Product Type Vendor Product Version Update Edition Language
1 OS Canonical Ubuntu Linux 14.04 * * * Version Details Vulnerabilities
2 OS Canonical Ubuntu Linux 16.04 * * * Version Details Vulnerabilities
3 OS Canonical Ubuntu Linux 18.04 * * * Version Details Vulnerabilities
4 OS Canonical Ubuntu Linux 18.10 * * * Version Details Vulnerabilities
5 OS Canonical Ubuntu Linux 19.04 * * * Version Details Vulnerabilities
6 Application F5 Big-ip Access Policy Manager * * * * Version Details Vulnerabilities
7 Application F5 Big-ip Advanced Firewall Manager * * * * Version Details Vulnerabilities
8 Application F5 Big-ip Analytics * * * * Version Details Vulnerabilities
9 Application F5 Big-ip Application Acceleration Manager * * * * Version Details Vulnerabilities
10 Application F5 Big-ip Application Security Manager * * * * Version Details Vulnerabilities
11 Application F5 Big-ip Domain Name System * * * * Version Details Vulnerabilities
12 Application F5 Big-ip Edge Gateway * * * * Version Details Vulnerabilities
13 Application F5 Big-ip Fraud Protection Service * * * * Version Details Vulnerabilities
14 Application F5 Big-ip Global Traffic Manager * * * * Version Details Vulnerabilities
15 Application F5 Big-ip Link Controller * * * * Version Details Vulnerabilities
16 Application F5 Big-ip Local Traffic Manager * * * * Version Details Vulnerabilities
17 Application F5 Big-ip Policy Enforcement Manager * * * * Version Details Vulnerabilities
18 Application F5 Big-ip Webaccelerator * * * * Version Details Vulnerabilities
19 Application F5 Big-iq Centralized Management * * * * Version Details Vulnerabilities
20 Application F5 Enterprise Manager 3.1.1 * * * Version Details Vulnerabilities
21 Application F5 Iworkflow 2.3.0 * * * Version Details Vulnerabilities
22 Application F5 Traffix Sdc * * * * Version Details Vulnerabilities
23 OS Linux Linux Kernel * * * * Version Details Vulnerabilities
24 OS Redhat Enterprise Linux 7.0 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Canonical Ubuntu Linux 5
F5 Big-ip Access Policy Manager 1
F5 Big-ip Advanced Firewall Manager 1
F5 Big-ip Analytics 1
F5 Big-ip Application Acceleration Manager 1
F5 Big-ip Application Security Manager 1
F5 Big-ip Domain Name System 1
F5 Big-ip Edge Gateway 1
F5 Big-ip Fraud Protection Service 1
F5 Big-ip Global Traffic Manager 1
F5 Big-ip Link Controller 1
F5 Big-ip Local Traffic Manager 1
F5 Big-ip Policy Enforcement Manager 1
F5 Big-ip Webaccelerator 1
F5 Big-iq Centralized Management 1
F5 Enterprise Manager 1
F5 Iworkflow 1
F5 Traffix Sdc 1
Linux Linux Kernel 1
Redhat Enterprise Linux 1

- References For CVE-2019-11479

http://www.arubanetworks.com/assets/alert/ARUBA-PSA-2020-010.txt CONFIRM
https://access.redhat.com/errata/RHSA-2019:1594
REDHAT RHSA-2019:1594
https://access.redhat.com/errata/RHSA-2019:1602
REDHAT RHSA-2019:1602
https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2019-0008 CONFIRM
https://kc.mcafee.com/corporate/index?page=content&id=SB10287 CONFIRM
http://www.openwall.com/lists/oss-security/2019/06/28/2
MLIST [oss-security] 20190628 Re: linux-distros membership application - Microsoft
https://usn.ubuntu.com/4041-2/
UBUNTU USN-4041-2
http://www.openwall.com/lists/oss-security/2019/07/06/3
MLIST [oss-security] 20190706 Re: linux-distros membership application - Microsoft
http://www.openwall.com/lists/oss-security/2019/07/06/4
MLIST [oss-security] 20190706 Re: linux-distros membership application - Microsoft
https://www.us-cert.gov/ics/advisories/icsma-20-170-06
https://support.f5.com/csp/article/K35421172?utm_source=f5support&utm_medium=RSS CONFIRM
https://www.oracle.com/security-alerts/cpujan2020.html
https://www.us-cert.gov/ics/advisories/icsa-19-253-03
https://cert-portal.siemens.com/productcert/pdf/ssa-462066.pdf CONFIRM
https://usn.ubuntu.com/4041-1/
UBUNTU USN-4041-1
https://access.redhat.com/errata/RHSA-2019:1699
REDHAT RHSA-2019:1699
https://security.netapp.com/advisory/ntap-20190625-0001/ CONFIRM
https://www.synology.com/security/advisory/Synology_SA_19_28 CONFIRM
https://www.kb.cert.org/vuls/id/905115
CERT-VN VU#905115
http://www.securityfocus.com/bid/108818
BID 108818 Linux Kernel CVE-2019-11479 Denial of Service Vulnerability Release Date:2019-07-01
https://kb.pulsesecure.net/articles/Pulse_Security_Advisories/SA44193 CONFIRM
https://support.f5.com/csp/article/K35421172 CONFIRM
https://access.redhat.com/security/vulnerabilities/tcpsack
https://git.kernel.org/pub/scm/linux/kernel/git/davem/net.git/commit/?id=967c05aee439e6e5d7d805e195b3a20ef5c433d6
https://wiki.ubuntu.com/SecurityTeam/KnowledgeBase/SACKPanic
https://github.com/Netflix/security-bulletins/blob/master/advisories/third-party/2019-001.md
https://git.kernel.org/pub/scm/linux/kernel/git/davem/net.git/commit/?id=5f3e2bf008c2221478101ee72f5cb4654b9fc363
https://www.oracle.com/security-alerts/cpuoct2020.html

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0

- Metasploit Modules Related To CVE-2019-11479

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.